Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.appflow.webflow.servlets.jsp.taglib
Class WebflowValidatedFormTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.p13n.appflow.webflow.servlets.jsp.taglib.CreateWebflowURLTag
                  |
                  +--com.bea.p13n.appflow.webflow.servlets.jsp.taglib.WebflowFormTag
                        |
                        +--com.bea.p13n.appflow.webflow.servlets.jsp.taglib.WebflowValidatedFormTag

public class WebflowValidatedFormTag
extends WebflowFormTag

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `applyStyle`
`protected java.lang.String` | `invalidStyle`
`protected java.lang.String` | `messageAlign`
`protected java.lang.String` | `styleId`
`protected java.lang.String` | `unspecifiedStyle`
`protected java.lang.String` | `validStyle`

Fields inherited from class com.bea.p13n.appflow.webflow.servlets.jsp.taglib.WebflowFormTag
`hide, hideBool, htmlAttributes, method, name`

Fields inherited from class com.bea.p13n.appflow.webflow.servlets.jsp.taglib.CreateWebflowURLTag
`DEFAULT_HTTPSIND_VALUE_ELEMENT, domainName, doRedirect, doRedirectBool, encode, encodeBool, encodeValueSet, escape, escapeStr, event, extraParams, httpsInd, httpsIndInt, namespace, origin, pathPrefix, pathSuffix, resourceIdentifier`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`WebflowValidatedFormTag()`

Method Summary
`java.lang.String` | `getApplyStyle()`
`java.lang.String` | `getInvalidStyle()`
`java.lang.String` | `getMessageAlign()`
`java.lang.String` | `getStyleId()`
`java.lang.String` | `getUnspecifiedStyle()`
`java.lang.String` | `getValidStyle()`
`void` | `release()`
`void` | `setApplyStyle(java.lang.String applyStyle)`
`void` | `setInvalidStyle(java.lang.String invalidStyle)`
`void` | `setMessageAlign(java.lang.String messageAlign)`
`void` | `setStyleId(java.lang.String styleId)`
`void` | `setUnspecifiedStyle(java.lang.String unspecifiedStyle)`
`void` | `setValidStyle(java.lang.String validStyle)`

Methods inherited from class com.bea.p13n.appflow.webflow.servlets.jsp.taglib.WebflowFormTag
`doEndTag, doStartTag, generateHTML, getHide, getHtmlAttributes, getMethod, getName, setHide, setHtmlAttributes, setMethod, setName`

Methods inherited from class com.bea.p13n.appflow.webflow.servlets.jsp.taglib.CreateWebflowURLTag
`getCurrentNamespace, getDomainName, getDoRedirect, getEncode, getEscape, getEvent, getExtraParams, getHttpServletRequest, getHttpsInd, getJspName, getNamespace, getOrigin, getPathPrefix, getPathSuffix, setDomainName, setDoRedirect, setEncode, setEscape, setEvent, setExtraParams, setHttpsInd, setNamespace, setOrigin, setPathPrefix, setPathSuffix, setupHTTPS`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### validStyle

    protected java.lang.String validStyle

### invalidStyle

    protected java.lang.String invalidStyle

### unspecifiedStyle

    protected java.lang.String unspecifiedStyle

### styleId

    protected java.lang.String styleId

### messageAlign

    protected java.lang.String messageAlign

### applyStyle

    protected java.lang.String applyStyle

Constructor Detail

### WebflowValidatedFormTag

    public WebflowValidatedFormTag()

Method Detail

### release

    public void release()

  Overrides:
    release in class WebflowFormTag

### getValidStyle

    public java.lang.String getValidStyle()

### setValidStyle

    public void setValidStyle(java.lang.String validStyle)

### getInvalidStyle

    public java.lang.String getInvalidStyle()

### setInvalidStyle

    public void setInvalidStyle(java.lang.String invalidStyle)

### getUnspecifiedStyle

    public java.lang.String getUnspecifiedStyle()

### setUnspecifiedStyle

    public void setUnspecifiedStyle(java.lang.String unspecifiedStyle)

### getApplyStyle

    public java.lang.String getApplyStyle()

### setApplyStyle

    public void setApplyStyle(java.lang.String applyStyle)

### getMessageAlign

    public java.lang.String getMessageAlign()

### setMessageAlign

    public void setMessageAlign(java.lang.String messageAlign)

### getStyleId

    public java.lang.String getStyleId()

### setStyleId

    public void setStyleId(java.lang.String styleId)

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved